This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 203054 - in 64-bit machine , all sendmsg/recvmsg function doesn't work.
in 64-bit machine , all sendmsg/recvmsg function doesn't work.
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lksctp-tools (Show other bugs)
4.4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-17 22:41 EDT by eric, kim
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-18 05:48:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description eric, kim 2006-08-17 22:41:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Maxthon; SV1; .NET CLR 1.1.4322)

Description of problem:
When i function test program start , but all of program which use sendmsg doesn't work. it throws EINVAL. 
=====================================================
/lksctp-tools-1.0.6/src/func_tests/ 
$ test_1_to_1_sendmsg
test_1_to_1_sendmsg.c  1 PASS : sendmsg() with a bad socket descriptor - EBADF
test_1_to_1_sendmsg.c  2 PASS : sendmsg() with invalid socket - ENOTSOCK
test_1_to_1_sendmsg.c  3 PASS : sendmsg() on a listening socket - EPIPE
test_1_to_1_sendmsg.c  4 PASS : sendmsg() with invalid iovec ptr - EFAULT
test_1_to_1_sendmsg.c  5 PASS : sendmsg() with invalid iovec length - EINVAL
test_1_to_1_sendmsg.c  6 PASS : sendmsg() with invalid msghdr ptr - EFAULT
test_1_to_1_sendmsg.c  7 PASS : sendmsg() with invalid sinfo flags - EINVAL
test_1_to_1_sendmsg.c  8 PASS : sendmsg() with SCTP_EOF flag - EINVAL
test_1_to_1_sendmsg.c  9 PASS : sendmsg() with SCTP_ABORT flag - EINVAL
test_1_to_1_sendmsg.c 10 BROK : sendmsg from accept socket to client count:-1, errno:22
DUMP_CORE test_1_to_1_sendmsg.c: 322
=====================================================
it seems that "sendmsmg" cmsghdr 's size are different .



Version-Release number of selected component (if applicable):
lksctp-tools-1.0.6

How reproducible:
Always


Steps to Reproduce:
1. cd /lksctp-tools-1.0.6/src/func_tests/ 
2. run test_1_to_1_sendmsg
3. and print 

Actual Results:
test_1_to_1_sendmsg.c  1 PASS : sendmsg() with a bad socket descriptor - EBADF
test_1_to_1_sendmsg.c  2 PASS : sendmsg() with invalid socket - ENOTSOCK
test_1_to_1_sendmsg.c  3 PASS : sendmsg() on a listening socket - EPIPE
test_1_to_1_sendmsg.c  4 PASS : sendmsg() with invalid iovec ptr - EFAULT
test_1_to_1_sendmsg.c  5 PASS : sendmsg() with invalid iovec length - EINVAL
test_1_to_1_sendmsg.c  6 PASS : sendmsg() with invalid msghdr ptr - EFAULT
test_1_to_1_sendmsg.c  7 PASS : sendmsg() with invalid sinfo flags - EINVAL
test_1_to_1_sendmsg.c  8 PASS : sendmsg() with SCTP_EOF flag - EINVAL
test_1_to_1_sendmsg.c  9 PASS : sendmsg() with SCTP_ABORT flag - EINVAL
test_1_to_1_sendmsg.c 10 BROK : sendmsg from accept socket to client count:-1, errno:22

Expected Results:
test_1_to_1_sendmsg.c  1 PASS : sendmsg() with a bad socket descriptor - EBADF
test_1_to_1_sendmsg.c  2 PASS : sendmsg() with invalid socket - ENOTSOCK
test_1_to_1_sendmsg.c  3 PASS : sendmsg() on a listening socket - EPIPE
test_1_to_1_sendmsg.c  4 PASS : sendmsg() with invalid iovec ptr - EFAULT
test_1_to_1_sendmsg.c  5 PASS : sendmsg() with invalid iovec length - EINVAL
test_1_to_1_sendmsg.c  6 PASS : sendmsg() with invalid msghdr ptr - EFAULT
test_1_to_1_sendmsg.c  7 PASS : sendmsg() with invalid sinfo flags - EINVAL
test_1_to_1_sendmsg.c  8 PASS : sendmsg() with SCTP_EOF flag - EINVAL
test_1_to_1_sendmsg.c  9 PASS : sendmsg() with SCTP_ABORT flag - EINVAL
test_1_to_1_sendmsg.c 10 PASS : sendmsg() on a closed association - EPIPE
test_1_to_1_sendmsg.c 11 PASS : sendmsg() from accept socket to client - SUCCESS
test_1_to_1_sendmsg.c 12 PASS : sendmsg() from client to server - SUCCESS
test_1_to_1_sendmsg.c 13 PASS : sendmsg() from unconnected clt to server - SUCCESS
test_1_to_1_sendmsg.c 14 PASS : sendmsg() on a SHUT_RD socket - SUCCESS

Additional info:
we are using lksctp-1.0.6 in Linux AS 4 in 32-bit machine , but in 64-bit machine lksctp are not work.
Comment 1 Karsten Hopp 2006-08-18 05:48:53 EDT
AFAIK we didn't release lksctp-1.0.6 for RHEL-4 as it is incompatible with
kernel < 2.6.15

Note You need to log in before you can comment on or make changes to this bug.